git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

extlinux dependent issue


I'm installing extlinux in bionic and noticed one thing, the extlinux's
dependent needs fixing in my view

$ apt-cache show extlinux
...
Depends: libc6 (>= 2.8)
Recommends: syslinux-common
...


I.e., the syslinux-common should be in the Depends, but not Recommends,
because without files in syslinux-common like
ldlinux.c32, libutil.c32, chain.c32, etc, extlinux package itself cannot
boot the system.

Thus syslinux-common is a dependent for extlinux, not Recommends.

Thanks for consideration.

Tong
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ubuntu.com/archives/ubuntu-devel-discuss/attachments/20180428/8d8fb06d/attachment.html>